set(srcs
    evse_core.c
    evse_state.c
    evse_error.c
    evse_config.c
    evse_limits.c
    evse_events.c
    evse_fsm.c
    evse_manager.c
    evse_hardware.c
)

idf_component_register(
    SRCS ${srcs}
    INCLUDE_DIRS "include"
    PRIV_REQUIRES nvs_flash
    REQUIRES peripherals auth
)